.banner-block[data-v-f6b20677] {
    background-color: #222;
    min-height: 37.5em;
    overflow: hidden;
    position: relative
}

@media (max-width:1023.98px) {
    .banner-block[data-v-f6b20677] {
        min-height: 0
    }
}

.banner-block__pagination[data-v-f6b20677] {
    align-items: center;
    bottom: 5.125em;
    display: flex;
    gap: 0.25em;
    justify-content: center;
    position: absolute;
    right: 10px;
    transition: transform .25s ease;
    z-index: 2
}

@media (max-width:1023.98px) {
    .banner-block__pagination[data-v-f6b20677] {
        bottom: 2em;
        left: 1em;
        right: auto
    }
}

.banner-block__pagination--hidden[data-v-f6b20677] {
    display: none
}

.banner-block__text[data-v-f6b20677] {
    margin: 0;
    width: 100%
}

.banner-block__text[data-v-f6b20677] .swiper-wrapper {
    align-items: flex-end
}

.banner-block__swiper[data-v-f6b20677] {
    height: 75svh;
    transition: height 1s ease;
    width: 100%
}

.banner-block__swiper--full[data-v-f6b20677] {
    height: 100svh
}

.banner-block__slide[data-v-f6b20677] {
    display: flex;
    height: 100%;
    overflow: hidden;
    padding: 5.3125em 0;
    position: relative;
    width: 100%;
    z-index: 1
}

@media (max-width:1023.98px) {
    .banner-block__slide[data-v-f6b20677] {
        padding: 2em 0
    }
}

.banner-block__slide[data-v-f6b20677]:after {
    background-image: linear-gradient(180deg, transparent, rgba(0, 0, 0, .6));
    bottom: 0;
    content: "";
    height: 100%;
    left: 0;
    position: absolute;
    right: 0;
    top: 0;
    width: 100%;
    z-index: -1
}

@media (max-width:1023.98px) {
    .banner-block__slide[data-v-f6b20677]:after {
        background-image: linear-gradient(180deg, transparent, rgba(0, 0, 0, .6))
    }
}

.banner-block__container[data-v-f6b20677] {
    bottom: 5.3125em;
    left: 6em;
    position: absolute;
    right: 6em;
    z-index: 3
}

@media (max-width:1023.98px) {
    .banner-block__container[data-v-f6b20677] {
        bottom: 3.5em;
        left: 1em;
        right: 1em
    }
}

.banner-block__button[data-v-f6b20677] {
    margin-top: 2em
}

@media (max-width:1023.98px) {
    .banner-block__button[data-v-f6b20677] {
        margin-top: 1.5em
    }
}

.banner-block__wrapper[data-v-f6b20677] {
    align-items: flex-end;
    display: flex;
    flex-grow: 1
}

.banner-block__background[data-v-f6b20677] {
    background-image: var(--desktop-bg);
    background-position: bottom;
    background-size: cover;
    bottom: 0;
    height: 100%;
    left: 0;
    position: absolute;
    right: 0;
    top: 0;
    transform: scale(1.05);
    transition: transform 1.5s ease-out;
    width: 100%;
    z-index: -2
}

@media (max-width:1023px) {
    .banner-block__background[data-v-f6b20677] {
        background-image: var(--tablet-bg)
    }
}

@media (max-width:767px) {
    .banner-block__background[data-v-f6b20677] {
        background-image: var(--mobile-bg)
    }
}

.banner-block__info[data-v-f6b20677] {
    display: flex;
    flex-direction: column;
    gap: 1em;
    max-width: 37.1875em
}

.banner-block__description[data-v-f6b20677] {
    max-width: 96%
}

.banner-block__font[data-v-f6b20677] {
    color: #fff
}

.banner-block__btn[data-v-f6b20677] {
    bottom: 0;
    height: 100%;
    position: absolute;
    top: 0;
    width: 9.375em;
    z-index: 2
}

@media (max-width:1023.98px) {
    .banner-block__btn[data-v-f6b20677] {
        display: none
    }
}

.banner-block__btn--prev[data-v-f6b20677] {
    left: 0
}

.banner-block__btn--next[data-v-f6b20677] {
    right: 0
}